> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getMonthlyAndSemiMonthlyPayScheduleDates

> The `getMonthlyAndSemiMonthlyPayScheduleDates` API retrieves the pay schedule dates for monthly and semi-monthly payroll options.

### What it does:
- Returns the pay begin dates, pay end dates, deadlines to run payroll, and pay dates for each pay period.

### Note:
- Currently only Monthly and Semi-Monthly pay schedules are date-limited



## OpenAPI

````yaml get /reports/getMonthlyAndSemiMonthlyPayScheduleDates
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getMonthlyAndSemiMonthlyPayScheduleDates:
    get:
      tags: []
      summary: getMonthlyAndSemiMonthlyPayScheduleDates
      description: >-
        The `getMonthlyAndSemiMonthlyPayScheduleDates` API retrieves the pay
        schedule dates for monthly and semi-monthly payroll options.


        ### What it does:

        - Returns the pay begin dates, pay end dates, deadlines to run payroll,
        and pay dates for each pay period.


        ### Note:

        - Currently only Monthly and Semi-Monthly pay schedules are date-limited
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                compensationFrequency:
                  type: string
              required:
                - method
                - compensationFrequency
            example:
              method: getMonthlyAndSemiMonthlyPayScheduleDates
              compensationFrequency: Monthly
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  PayScheduleDates:
                    type: object
                    properties:
                      PayBeginDate:
                        type: string
                      PayEndDate:
                        type: string
                      DeadlineToRunPayroll:
                        type: string
                      PayDate:
                        type: string
                    required:
                      - PayBeginDate
                      - PayEndDate
                      - DeadlineToRunPayroll
                      - PayDate
                required:
                  - PayScheduleDates
              example:
                PayScheduleDates for Monthly:
                  - PayBeginDate: '2025-01-01'
                    PayEndDate: '2025-01-31'
                    DeadlineToRunPayroll: '2025-01-29'
                    PayDate: '2025-01-31'
                  - PayBeginDate: '2025-02-01'
                    PayEndDate: '2025-02-28'
                    DeadlineToRunPayroll: '2025-02-26'
                    PayDate: '2025-02-28'
                  - PayBeginDate: '2025-03-01'
                    PayEndDate: '2025-03-31'
                    DeadlineToRunPayroll: '2025-03-27'
                    PayDate: '2025-03-31'
                  - PayBeginDate: '2025-04-01'
                    PayEndDate: '2025-04-30'
                    DeadlineToRunPayroll: '2025-04-28'
                    PayDate: '2025-04-30'
                  - PayBeginDate: '2025-05-01'
                    PayEndDate: '2025-05-31'
                    DeadlineToRunPayroll: '2025-05-28'
                    PayDate: '2025-05-30'
                  - PayBeginDate: '2025-06-01'
                    PayEndDate: '2025-06-30'
                    DeadlineToRunPayroll: '2025-06-26'
                    PayDate: '2025-06-30'
                  - PayBeginDate: '2025-07-01'
                    PayEndDate: '2025-07-31'
                    DeadlineToRunPayroll: '2025-07-29'
                    PayDate: '2025-07-31'
                  - PayBeginDate: '2025-08-01'
                    PayEndDate: '2025-08-31'
                    DeadlineToRunPayroll: '2025-08-27'
                    PayDate: '2025-08-29'
                  - PayBeginDate: '2025-09-01'
                    PayEndDate: '2025-09-30'
                    DeadlineToRunPayroll: '2025-09-26'
                    PayDate: '2025-09-30'
                  - PayBeginDate: '2025-10-01'
                    PayEndDate: '2025-10-31'
                    DeadlineToRunPayroll: '2025-10-29'
                    PayDate: '2025-10-31'
                  - PayBeginDate: '2025-11-01'
                    PayEndDate: '2025-11-30'
                    DeadlineToRunPayroll: '2025-11-25'
                    PayDate: '2025-11-28'
                  - PayBeginDate: '2025-12-01'
                    PayEndDate: '2025-12-31'
                    DeadlineToRunPayroll: '2025-12-29'
                    PayDate: '2025-12-31'
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````